漏洞信息详情

GraphicsMagick 安全漏洞

  • CNNVD编号:CNNVD-201709-766
  • 危害等级: 中危
  • CVE编号: CVE-2017-14504
  • 漏洞类型: 代码问题
  • 发布时间: 2017-09-18
  • 威胁类型: 远程
  • 更新时间: 2020-01-09
  • 厂        商: graphicsmagick
  • 漏洞来源:

漏洞简介

GraphicsMagick是一套简单的图像处理工具。该工具对图像提供尺寸调整、旋转、加亮等功能。

GraphicsMagick 1.3.26版本中的coders/pnm.c文件的ReadPNMImage存在安全漏洞。攻击者可利用该漏洞造成拒绝服务(空指针逆向引用)。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

http://hg.graphicsmagick.org/hg/GraphicsMagick?cmd=changeset;node=fb09ca6dd22c

参考网址

来源:BID

链接:http://www.securityfocus.com/bid/100877

来源:MLIST

链接:https://lists.debian.org/debian-lts-announce/2018/08/msg00002.html

来源:CONFIRM

链接:https://sourceforge.net/p/graphicsmagick/bugs/466/

来源:CONFIRM

链接:http://hg.graphicsmagick.org/hg/GraphicsMagick?cmd=changeset;node=fb09ca6dd22c

来源:CONFIRM

链接:https://sourceforge.net/p/graphicsmagick/bugs/465/

来源:FEDORA

链接:https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/PF62B5PJA2JDUOCKJGUQO3SPL74BEYSV/

来源:DEBIAN

链接:https://www.debian.org/security/2018/dsa-4321

来源:BID

链接:https://www.securityfocus.com/bid/100877

来源:FEDORA

链接:https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/WHIKB4TP6KBJWT2UIPWL5MWMG5QXKGEJ/

来源:usn.ubuntu.com

链接:https://usn.ubuntu.com/4232-1/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2020.0073/

漏洞信息快速查询

相关漏洞

更多